bgcredits = pge.texture.load("./images/credits.png")
bgrules = pge.texture.load("./images/rules.png")
bgwinr = pge.texture.load("./images/winr.png")
bgdrawr = pge.texture.load("./images/drawr.png")
bgloser = pge.texture.load("./images/loser.png")
bgwinp = pge.texture.load("./images/winp.png")
bgdrawp = pge.texture.load("./images/drawp.png")
bglosep = pge.texture.load("./images/losep.png")
bgwins = pge.texture.load("./images/wins.png")
bgdraws = pge.texture.load("./images/draws.png")
bgloses = pge.texture.load("./images/loses.png")
bggame = pge.texture.load("./images/game.png")
bgmenue = pge.texture.load("./images/menue.png")

pge.delay(500000)

rps = pge.wav.load("rps.wav")
rps:volume(100, 100)

track = 1
pge.mp3.volume(32678)
pge.mp3.loop(true)
pge.mp3.play("track01.mp3")

function credits()
  while pge.running() do
    pge.gfx.startdrawing()
    pge.gfx.clearscreen()

    pge.controls.update()

    bgcredits:activate()
    bgcredits:draweasy(0, 0)

    if pge.controls.pressed(PGE_CTRL_CIRCLE)then
      menue()
    end

    pge.gfx.enddrawing()
    pge.gfx.swapbuffers()
  end
end

function rules()
  while pge.running() do
    pge.controls.update()

    bgrules:activate()
    bgrules:draweasy(0, 0)

    if pge.controls.pressed(PGE_CTRL_CIRCLE)then
      menue()
    end

    pge.gfx.enddrawing()
    pge.gfx.swapbuffers()
  end
end

function winr()
  while pge.running() do
    pge.gfx.startdrawing()
    pge.gfx.clearscreen()

    pge.controls.update()

    bgwinr:activate()
    bgwinr:draweasy(0, 0)

    if pge.controls.pressed(PGE_CTRL_CIRCLE)then
      game()
    end

    pge.gfx.enddrawing()
    pge.gfx.swapbuffers()
  end
end

function drawr()
  while pge.running() do
    pge.gfx.startdrawing()
    pge.gfx.clearscreen()

    pge.controls.update()

    bgdrawr:activate()
    bgdrawr:draweasy(0, 0)

    if pge.controls.pressed(PGE_CTRL_CIRCLE)then
      game()
    end

    pge.gfx.enddrawing()
    pge.gfx.swapbuffers()
  end
end

function loser()
  while pge.running() do
    pge.gfx.startdrawing()
    pge.gfx.clearscreen()

    pge.controls.update()

    bgloser:activate()
    bgloser:draweasy(0, 0)

    if pge.controls.pressed(PGE_CTRL_CIRCLE)then
      game()
    end

    pge.gfx.enddrawing()
    pge.gfx.swapbuffers()
  end
end

function winp()
  while pge.running() do
    pge.gfx.startdrawing()
    pge.gfx.clearscreen()

    pge.controls.update()

    bgwinp:activate()
    bgwinp:draweasy(0, 0)

    if pge.controls.pressed(PGE_CTRL_CIRCLE)then
      game()
    end

    pge.gfx.enddrawing()
    pge.gfx.swapbuffers()
  end
end

function drawp()
  while pge.running() do
    pge.gfx.startdrawing()
    pge.gfx.clearscreen()

    pge.controls.update()

    bgdrawp:activate()
    bgdrawp:draweasy(0, 0)

    if pge.controls.pressed(PGE_CTRL_CIRCLE)then
      game()
    end

    pge.gfx.enddrawing()
    pge.gfx.swapbuffers()
  end
end

function losep()
  while pge.running() do
    pge.gfx.startdrawing()
    pge.gfx.clearscreen()

    pge.controls.update()

    bglosep:activate()
    bglosep:draweasy(0, 0)

    if pge.controls.pressed(PGE_CTRL_CIRCLE)then
      game()
    end

    pge.gfx.enddrawing()
    pge.gfx.swapbuffers()
  end
end

function wins()
  while pge.running() do
    pge.gfx.startdrawing()
    pge.gfx.clearscreen()

    pge.controls.update()

    bgwins:activate()
    bgwins:draweasy(0, 0)

    if pge.controls.pressed(PGE_CTRL_CIRCLE)then
      game()
    end

    pge.gfx.enddrawing()
    pge.gfx.swapbuffers()
  end
end

function loses()
  while pge.running() do
    pge.gfx.startdrawing()
    pge.gfx.clearscreen()

    pge.controls.update()

    bgloses:activate()
    bgloses:draweasy(0, 0)

    if pge.controls.pressed(PGE_CTRL_CIRCLE)then
      game()
    end

    pge.gfx.enddrawing()
    pge.gfx.swapbuffers()
  end
end

function draws()
  while pge.running() do
    pge.gfx.startdrawing()
    pge.gfx.clearscreen()

    pge.controls.update()

    bgdraws:activate()
    bgdraws:draweasy(0, 0)

    if pge.controls.pressed(PGE_CTRL_CIRCLE)then
      game()
    end

    pge.gfx.enddrawing()
    pge.gfx.swapbuffers()
  end
end

function game()
  while pge.running() do
    random = pge.math.randint(1, 4)

    pge.gfx.startdrawing()
    pge.gfx.clearscreen()

    pge.controls.update()

    bggame:activate()
    bggame:draweasy(0, 0)

    if random == 3 then
      if pge.controls.pressed(PGE_CTRL_TRIANGLE)then
        rps:play()
        pge.delay(1500000)
        winr()
      end
    elseif random == 1 then
      if pge.controls.pressed(PGE_CTRL_TRIANGLE)then
        rps:play()
        pge.delay(1500000)
        drawr()
      end
    elseif random == 2 then
      if pge.controls.pressed(PGE_CTRL_TRIANGLE)then
        rps:play()
        pge.delay(1500000)
        loser()
      end
    end

    if random == 1 and pge.controls.pressed(PGE_CTRL_SQUARE)then
      rps:play()
      pge.delay(1500000)
      winp()
    elseif  random == 2 and pge.controls.pressed(PGE_CTRL_SQUARE)then
      rps:play()
      pge.delay(1500000)
      drawp()
    elseif  random == 3 and pge.controls.pressed(PGE_CTRL_SQUARE)then
      rps:play()
      pge.delay(1500000)
      losep()
    end

    if  random == 2 and pge.controls.pressed(PGE_CTRL_CROSS)then
      rps:play()
      pge.delay(1500000)
      wins()
    elseif  random == 1 and pge.controls.pressed(PGE_CTRL_CROSS)then
      rps:play()
      pge.delay(1500000)
      loses()
    elseif  random == 3 and pge.controls.pressed(PGE_CTRL_CROSS)then
      rps:play()
      pge.delay(1500000)
      draws()
    end

    if pge.controls.pressed(PGE_CTRL_CIRCLE)then
      menue()
    end

    pge.gfx.enddrawing()
    pge.gfx.swapbuffers()
  end
end

function menue()
  while pge.running() do
    pge.gfx.startdrawing()
    pge.gfx.clearscreen()

    pge.controls.update()

    bgmenue:activate()
    bgmenue:draweasy(0, 0)

    if pge.controls.pressed(PGE_CTRL_CROSS)then
      game()
    end

    if pge.controls.pressed(PGE_CTRL_SQUARE)then
      rules()
    end

    if pge.controls.pressed(PGE_CTRL_TRIANGLE)then
      credits()
    end

    if pge.controls.pressed(PGE_CTRL_CIRCLE)then
      pge.exit()
    end
    
    if pge.controls.pressed(PGE_CTRL_RTRIGGER)then
      if track < 3 then
        track = track + 1
      end
    
      if track == 3 then
        pge.mp3.stop()
        pge.mp3.play("track03.mp3")
      elseif track == 2 then
        pge.mp3.stop()
        pge.mp3.play("track02.mp3")
      end
    end
    
    if pge.controls.pressed(PGE_CTRL_LTRIGGER)then
      if track > 1 then
        track = track - 1
      end
    
      if track == 1 then
        pge.mp3.stop()
        pge.mp3.play("track01.mp3")
      elseif track == 2 then
        pge.mp3.stop()
        pge.mp3.play("track02.mp3")
      end
    end

    pge.gfx.enddrawing()
    pge.gfx.swapbuffers()
  end
end

while pge.running() do
  menue()
end
